2005-09-26  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.30 released.

2005-09-25  Adrian Aichner  <adrian@xemacs.org>

	* texinfmt.el: Minor sync with GNU Emacs texinfmt-version "2.41 of
	1 Mar 2005".
	* texinfmt.el (texinfmt-version): New.
	* texinfmt.el (texinfo-format-buffer): Restore use of
	coding-system-for-write (sync)
	* texinfmt.el (texinfo-pre-format-hook): New.
	* texinfmt.el (texinfo-format-region): Run texinfo-pre-format-hook
	(sync).
	* texinfmt.el (texinfo-format-buffer-1): Use buffer-disable-undo
	(sync).
	* texinfmt.el (texinfo-append-refill): Generalize refill regexp
	(sync).
	* texinfmt.el (texinfo-paragraphindent): Use string-to-number (sync).
	* texinfmt.el (texinfo-format-printindex): My genuine fix for
	Message-ID: <9ea6aaa80503091939552b5e23@mail.gmail.com>.
	* texinfmt.el (texinfo-print-index): Adjust index entry format (sync).
	* texinfo.el: Minor sync with GNU Emacs.
	* texinfo.el (texinfo): Typo fix sync.
	* texinfo.el (texinfo-mode-hook): New.  Not used yet.
	* texinfo.el (texinfo-imenu-generic-expression): Typo fix sync.
	* texinfo.el (texinfo-environments): Ditto.
	* texinfo.el (texinfo-environment-regexp): Ditto.
	* texinfo.el (texinfo-font-lock-keywords): Ditto.
	* texinfo.el (texinfo-insert-quote): Ditto.
	* texinfo.el (texinfo-show-structure): Ditto.

2005-03-26  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.29 released.

2005-02-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* texinfmt.el (texinfo-format-scan):  Silence whitespace-cleanup.
	* texnfo-upd.el (texinfo-copy-node-name): Use point-at-eol instead 
        of line-end-position. 

2004-12-22  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.28 released.

2004-12-08  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.27 released.

	* texinfmt.el (texinfo-format-region):
	* texinfmt.el (texinfo-format-buffer-1):
	* texinfmt.el (texinfo-sort-startkeyfun):
	line-(beginning|end)-position -> point-at-(b|e)ol.  The former are
	not known in 21.4.

2004-12-07  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.26 released.

2004-12-07  Ben Wing  <ben@xemacs.org>

	* texinfmt.el:
	* texinfmt.el (fboundp):
	* texinfmt.el (match-string-no-properties): New.
	Add defn of match-string-no-properties, not in 21.4.

2004-12-06  Ben Wing  <ben@xemacs.org>

	* Makefile:
	Depends on text-modes.
	
	* texinfmt.el (whitespace):
	Require 'whitespace to fix compilation.

2004-11-07  Ben Wing  <ben@xemacs.org>

	* Makefile (ELCS):
	Compile texinfo earlier due to dependencies.
	
	* informat.el:
	* informat.el (Info-tagify):
	* informat.el (Info-validate):
	* informat.el (batch-info-validate):
	* texinfmt.el:
	* texinfmt.el (texinfmt-version):
	* texinfmt.el (texinfo-format-buffer):
	* texinfmt.el (tex-start-of-header)): New.
	* texinfmt.el (tex-end-of-header)): New.
	* texinfmt.el (texinfo-format-region):
	* texinfmt.el (texinfo-format-buffer-1):
	* texinfmt.el (texinfo-format-convert):
	* texinfmt.el (texinfo-no-refill-regexp):
	* texinfmt.el (texinfo-append-refill):
	* texinfmt.el (texinfo-raise-lower-sections):
	* texinfmt.el (texinfo-raisesections-alist):
	* texinfmt.el (texinfo-lowersections-alist):
	* texinfmt.el (texinfo-format-scan):
	* texinfmt.el (texinfo-copying-text): New.
	* texinfmt.el (texinfo-copying): New.
	* texinfmt.el (texinfo-insertcopying): New.
	* texinfmt.el (texinfo-parse-line-arg):
	* texinfmt.el (texinfo-parse-expanded-arg):
	* texinfmt.el (texinfo-format-parse-line-args):
	* texinfmt.el (texinfo-format-parse-args):
	* texinfmt.el (texinfo-format-parse-defun-args):
	* texinfmt.el (texinfo-discard-line):
	* texinfmt.el (texinfo-anchor):
	* texinfmt.el (texinfo-format-xref):
	* texinfmt.el (texinfo-format-uref):
	* texinfmt.el (texinfo-format-documentdescription): New.
	* texinfmt.el (texinfo-footnote-style):
	* texinfmt.el (texinfo-format-separate-node):
	* texinfmt.el (texinfo-enumerate):
	* texinfmt.el (texinfo-enumerate-item):
	* texinfmt.el (texinfo-alphaenumerate-item):
	* texinfmt.el (texinfo-capsenumerate-item):
	* texinfmt.el (texinfo-table):
	* texinfmt.el (texinfo-multitable-widths):
	* texinfmt.el (texinfo-multitable-extract-row):
	* texinfmt.el (texinfo-multitable-item):
	* texinfmt.el (texinfo-format-iftex):
	* texinfmt.el (texinfo-format-ifhtml):
	* texinfmt.el (texinfo-format-image): New.
	* texinfmt.el (texinfo-format-ifplaintext): New.
	* texinfmt.el (texinfo-format-ifxml): New.
	* texinfmt.el (texinfo-format-tex):
	* texinfmt.el (texinfo-format-html):
	* texinfmt.el (texinfo-format-xml): New.
	* texinfmt.el (ifnotplaintext):
	* texinfmt.el (texinfo-format-ifnotinfo): New.
	* texinfmt.el (ifnothtml):
	* texinfmt.el (texinfo-format-titlepage):
	* texinfmt.el (texinfo-format-titlespec):
	* texinfmt.el (texinfo-format-ignore):
	* texinfmt.el (texinfo-alias):
	* texinfmt.el (email):
	* texinfmt.el (texinfo-format-email): New.
	* texinfmt.el (texinfo-format-verb): New.
	* texinfmt.el (texinfo-format-kbd-regexp):
	* texinfmt.el (texinfo-format-kbd-end-regexp):
	* texinfmt.el (texinfo-format-kbd):
	* texinfmt.el (texinfo-format-dircategory):
	* texinfmt.el (texinfo-do-flushright):
	* texinfmt.el (texinfo-format-refill):
	* texinfmt.el (texinfo-noindent):
	* texinfmt.el (texinfo-format-defindex):
	* texinfmt.el (texinfo-sort-region):
	* texinfmt.el (texinfo-sort-startkeyfun):
	* texinfmt.el (texinfo-format-deftypefn):
	* texinfmt.el (texinfo-format-deftypefun):
	* texinfmt.el (texinfo-format-defop):
	* texinfmt.el (texinfo-format-defcv):
	* texinfmt.el (texinfo-format-defmethod):
	* texinfmt.el (texinfo-index-defun):
	* texinfmt.el (texinfo-index-deffn):
	* texinfmt.el (texinfo-index-deftypefn):
	* texinfmt.el (texinfo-index-defmethod):
	* texinfmt.el (texinfo-index-defop):
	* texinfmt.el (texinfo-index-defivar):
	* texinfmt.el (texinfo-index-defcv):
	* texinfmt.el (texinfo-set):
	* texinfmt.el (texinfo-value):
	* texinfmt.el (texinfo-if-set):
	* texinfmt.el (texinfo-if-clear):
	* texinfmt.el (texinfo-format-ifeq):
	* texinfmt.el (afourpaper):
	* texinfmt.el (documentlanguage):
	* texinfmt.el (texinfo-unsupported):
	* texinfmt.el (batch-texinfo-format):
	* texinfo.el:
	* texinfo.el (require):
	* texinfo.el (texinfo-open-quote): New.
	* texinfo.el (texinfo-version): Removed.
	* texinfo.el (texinfo-close-quote): New.
	* texinfo.el (texinfo-update-node):
	* texinfo.el (texinfo-section-list): New.
	* texinfo.el (texinfo-mode-syntax-table):
	* texinfo.el (texinfo-imenu-generic-expression):
	* texinfo.el (texinfo-font-lock-syntactic-keywords): New.
	* texinfo.el (texinfo-environments): New.
	* texinfo.el (texinfo-environment-regexp): New.
	* texinfo.el (texinfo-heading-face): New.
	* texinfo.el (texinfo-clone-environment): New.
	* texinfo.el (texinfo-mode-map):
	* texinfo.el (texinfo-mode-menu):
	* texinfo.el (texinfo-filter): New.
	* texinfo.el (texinfo-chapter-level-regexp):
	* texinfo.el (texinfo-mode):
	* texinfo.el (texinfo-block-default): New.
	* texinfo.el (texinfo-insert-block): New.
	* texinfo.el (texinfo-inside-macro-p): New.
	* texinfo.el (texinfo-inside-env-p): New.
	* texinfo.el (texinfo-insert-quote): New.
	* texinfo.el (texinfo-last-unended-begin): New.
	* texinfo.el (texinfo-next-unmatched-end): New.
	* texinfo.el (texinfo-insert-@email): New.
	* texinfo.el (texinfo-insert-@emph): New.
	* texinfo.el (texinfo-insert-@node):
	* texinfo.el (texinfo-insert-@quotation): New.
	* texinfo.el (texinfo-insert-@strong): New.
	* texinfo.el (texinfo-insert-@uref): New.
	* texinfo.el ('texinfo-insert-@url): New.
	* texinfo.el (texinfo-show-structure):
	* texinfo.el (texinfo-section-types-regexp)): Removed.
	* texinfo.el (texinfo-section-level-regexp)): Removed.
	* texinfo.el (texinfo-subsection-level-regexp)): Removed.
	* texinfo.el (texinfo-subsubsection-level-regexp)): Removed.
	* texnfo-upd.el:
	* texnfo-upd.el (texinfo):
	* texnfo-upd.el (texinfo-section-types-regexp): New.
	* texnfo-upd.el (texinfo-section-level-regexp): New.
	* texnfo-upd.el (texinfo-subsection-level-regexp): New.
	* texnfo-upd.el (texinfo-subsubsection-level-regexp): New.
	* texnfo-upd.el (texinfo-update-menu-same-level-regexps): New.
	* texnfo-upd.el (texinfo-update-menu-higher-regexps): New.
	* texnfo-upd.el (texinfo-update-menu-lower-regexps): New.
	* texnfo-upd.el (texinfo-make-menu):
	* texnfo-upd.el (texinfo-make-one-menu):
	* texnfo-upd.el (texinfo-all-menus-update):
	* texnfo-upd.el (texinfo-find-lower-level-node):
	* texnfo-upd.el (texinfo-find-higher-level-node):
	* texnfo-upd.el (texinfo-make-menu-list):
	* texnfo-upd.el (texinfo-menu-locate-entry-p):
	* texnfo-upd.el (texinfo-copy-node-name):
	* texnfo-upd.el (texinfo-copy-section-title):
	* texnfo-upd.el (texinfo-old-menu-p):
	* texnfo-upd.el (texinfo-incorporate-descriptions):
	* texnfo-upd.el (texinfo-incorporate-menu-entry-names):
	* texnfo-upd.el (texinfo-menu-copy-old-description):
	* texnfo-upd.el (texinfo-menu-end):
	* texnfo-upd.el (texinfo-delete-old-menu):
	* texnfo-upd.el (texinfo-insert-menu):
	* texnfo-upd.el (texinfo-start-menu-description):
	* texnfo-upd.el (texinfo-indent-menu-description):
	* texnfo-upd.el (texinfo-menu-indent-description):
	* texnfo-upd.el (texinfo-master-menu):
	* texnfo-upd.el (texinfo-master-menu-list):
	* texnfo-upd.el (texinfo-insert-master-menu-list):
	* texnfo-upd.el (texinfo-copy-menu-title):
	* texnfo-upd.el (texinfo-copy-menu):
	* texnfo-upd.el (texinfo-specific-section-type):
	* texnfo-upd.el (texinfo-hierarchic-level):
	* texnfo-upd.el (texinfo-update-menu-region-beginning):
	* texnfo-upd.el (texinfo-update-menu-region-end):
	* texnfo-upd.el (texinfo-update-node):
	* texnfo-upd.el (texinfo-section-to-generic-alist): Removed.
	* texnfo-upd.el (texinfo-chapter-level-regexp): Removed.
	* texnfo-upd.el (texinfo-every-node-update):
	* texnfo-upd.el (texinfo-update-the-node):
	* texnfo-upd.el (texinfo-top-pointer-case):
	* texnfo-upd.el (texinfo-check-for-node-name):
	* texnfo-upd.el (texinfo-delete-existing-pointers):
	* texnfo-upd.el (texinfo-find-pointer):
	* texnfo-upd.el (texinfo-pointer-name):
	* texnfo-upd.el (texinfo-sequential-node-update):
	* texnfo-upd.el (texinfo-sequentially-update-the-node):
	* texnfo-upd.el (texinfo-sequentially-insert-pointer): New.
	* texnfo-upd.el (texinfo-sequentially-find-pointer):
	* texnfo-upd.el (texinfo-insert-node-lines):
	* texnfo-upd.el (texinfo-multi-file-included-list):
	* texnfo-upd.el (texinfo-copy-next-section-title):
	* texnfo-upd.el (texinfo-multi-file-update):
	* texnfo-upd.el (texinfo-multi-files-insert-main-menu):
	* texnfo-upd.el (texinfo-multi-file-master-menu-list):
	* texnfo-upd.el (texinfo-multiple-files-update):
	Sync with FSF 21.3.

	* texinfo.el (texinfo-insert-@-with-arg):
	Act on region if active.

2003-10-31  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.25 released.

2003-04-26  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.24 released.

2003-03-22  Vasily Korytov  <deskpot@myrealbox.com>

	* tex-mode.el (tex-mode-hook, tex-shell-hook,
	plain-tex-mode-hook, latex-mode-hook, slitex-mode-hook): Add
	(defvar ...), so these variables are documented.

2003-03-09  Ben Wing  <ben@xemacs.org>

	* Makefile:
	Delete explicit compile:: and binkit: rules.
	Don't add custom-load.elc to the list of generated elc's.

2003-01-13  Rendhalver [Peter Brown]  <rendhalver@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.23 released.

2003-01-06  Ville Skyttä  <scop@xemacs.org>

	* texinfo.el: Make auto-mode-alist modifications autoload-only.
	* tex-mode.el: Ditto.

2002-11-29  Ben Wing  <ben@xemacs.org>

	* .cvsignore: Remove files now handled automatically by CVS.
	* Makefile: Use `compile' instead of hard-coded `all'.

2002-12-06  Rendhalver [Peter Brown]  <rendhalver@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.22 released.

2002-11-22  TAKAHASHI Kaoru  <kaoru@kaisei.org>

	* texinfmt.el (texinfo-format-separate-node): Use
	`search-backward' instead of `re-search-backward', for footnote
	node.

2002-10-15  Ville Skyttä  <scop@xemacs.org>

	* Makefile (srckit): Remove.

2002-10-07  Rendhalver [Peter Brown]  <rendhalver@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.21 released.

2002-09-30  Ville Skyttä  <scop@xemacs.org>

	* tex-mode.el: Add autoloaded auto-mode-alist associations.
	* texinfo.el: Ditto.

2000-03-18  Yoshiki Hayashi  <yoshiki@xemacs.org>

	* texinfmt.el (texinfo-format-refill): Use new paragraph-separate
	and paragraph-start.

2000-03-01  Yoshiki Hayashi  <yoshiki@xemacs.org>

	* texnfo-upd.el: Synched with FSF 20.6.

2000-01-28  Yoshiki Hayashi  <yoshiki@xemacs.org>

	* texinfmt.el (texinfo-format-uref): Don't parse argument twice.

2000-01-19  Yoshiki Hayashi  <yoshiki@xemacs.org>

	* informat.el: (Info-validate-error-buffer): New variable.
	Change buffer name.
	(Info-validate-node-name): Fix Ebola.
	(Info-file-data): Use non directory part of a file name.
	(Info-validate): Add two lines of output to make parsing
	function happy.

1999-12-09  Yoshiki Hayashi  <t90553@mail.ecc.u-tokyo.ac.jp>

	* texinfmt.el: Synched with FSF 20.5.
	* informat.el: Synched with FSF 20.5.

2000-01-13  Yoshiki Hayashi  <t90553@mail.ecc.u-tokyo.ac.jp>

 	* texinfo.el (texinfo-environment-regexp): Add vtable.

1999-12-24  Yoshiki Hayashi  <t90553@mail.ecc.u-tokyo.ac.jp>

	* texinfo.el: Synch with FSF 20.5.
	Change TexInfo to Texinfo.
	(texinfo-environment-revexp): Add more regexp.

1999-11-25  Yoshiki Hayashi  <t90553@mail.ecc.u-tokyo.ac.jp>

	* texinfmt.el: Handle @ifnottex.

1998-07-20  Christoph Wedler  <wedler@fmi.uni-passau.de>

	* tex-mode.el (tex-common-initialization): Use syntax class
	`escape' for \.  Syntax class `character quote' only works for
	`forward-sexp' and friends.

1998-07-14  SL Baur  <steve@altair.xemacs.org>

	* texnfo-tex.el: Global search and replace send-string ->
	process-send-string.

1998-07-01  Adrian Aichner  <aichner@ecf.teradyne.com>

	* texinfmt.el (texinfo-format-region): Removing trailing WS as
	first step in Info file generation.  No support for makeinfo-like
	"asis". 
	(texinfo-format-buffer-1): Ditto.  
	(texinfo-format-convert): Converting three hyphens to two at end
	of line too.

	* informat.el (Info-validate): RE-quoting search for "* Menu".
	Match of "\n\\* Menu;$" ends previous menu and starts new one.
	Improved matching for : and :: menu items.  Adding support for
	xrefs crossing line boundaries by using multi-line argument in
	(Info-extract-menu-node-name STR t).  Reversing lossages before
	printing.  Adding info file name and line number to lossage
	information.  Using compilation-minor-mode for lossages buffer.
	(Info-validate-node-name): Canonicalizing WS in node names to
	avoid unnecessary lossages.  Upgrading lossages list to provide
	filename and line number information to support compilation minor
	mode.  
	(Info-file-data): New function returning string including file
	name and line number.

1998-06-10  Adrian Aichner  <aichner@ecf.teradyne.com>

	* texinfmt.el: Added `texinfo-format-uref'.  Matching only files
	registered for texinfo-mode in auto-mode-alist.  This also fixes
	infinite recursion of this function when called on directories NB:
	(directory-files ...) returns "." and ".." as well.  Using
	(set-syntax-table texinfo-format-syntax-table) in
	texinfo-multitable-buffer-name so that scan-lists will do that
	according to the proper syntax.

1998-04-07  SL Baur  <steve@altair.xemacs.org>

	* Makefile (srckit): Use TAR/EXCLUDES variables from XEmacs.rules.

1998-03-03  SL Baur  <steve@altair.xemacs.org>

	* texinfmt.el: Synch with FSF Emacs 20.2.

1998-01-24  SL Baur  <steve@altair.xemacs.org>

	* Makefile (VERSION): Update to package standard 1.0.
	* package-info.in: Ditto.

1998-01-12  SL Baur  <steve@altair.xemacs.org>

	* Makefile: Update to newer package interface.

1998-01-03  SL Baur  <steve@altair.xemacs.org>

	* Makefile: Update to newer package interface.

1997-12-14  Hrvoje Niksic  <hniksic@srce.hr>

	* texnfo-upd.el: Synched with FSF 20.2.

	* texinfo.el: Synched with FSF 20.2.

	* texinfo.el (texinfo-mode-syntax-table): `@' is a
	symbol-constituent, not an escape.

1997-12-30  SL Baur  <steve@altair.xemacs.org>

	* Makefile (ELCS): Add informat.el.

1997-12-24  SL Baur  <steve@altair.xemacs.org>

	* Makefile: Created.
